﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraController : MonoBehaviour {

	private GameObject player, gameObj;
	private GameController gameCtrl;
	private Vector3 offset, offset1;
	private int cam;
	private Vector3 mouseClickPos;
	private float min = 30f;
	private float max = 90f;
	private float speed = 15f;


	void Start () {
		player = GameObject.FindGameObjectWithTag ("Player");
		gameObj = GameObject.FindGameObjectWithTag ("GameController");
		gameCtrl = gameObj.GetComponent<GameController> ();
		cam = 1;
		offset = transform.position - player.transform.position;
		offset1 = new Vector3(0, 10, -10);
	}

	// Update is called once per frame
	void Update () {
		if (Input.GetKeyDown ("e") && !gameCtrl.pause) {
			cam++;
			if (cam > 2) {
				cam = 1;
			}
		}
	}
		
	void LateUpdate () {
		if (!gameCtrl.pause) {
			switch (cam) {
			case 1:
				transform.position = player.transform.position + offset;
				transform.rotation = Quaternion.Euler(40, 0, 0);
				break;
			case 2:
				if (Input.GetMouseButton (2)) {
					offset1 = Quaternion.AngleAxis (Input.GetAxis ("Mouse X") * 2, Vector3.up) * offset1;
				}
				transform.position = player.transform.position + offset1;
				transform.LookAt (player.transform.position);
				break;
			}
			float fov = Camera.main.fieldOfView;
			fov += Input.GetAxis ("Mouse ScrollWheel") * -speed;
			fov = Mathf.Clamp (fov, min, max);
			Camera.main.fieldOfView = fov;
		}
	}
}