﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

using System;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;

//Provided in CE318 Lecture 7
[Serializable]
class GameData {
	public bool unlock;
}

public class SaveController : MonoBehaviour {
	public static SaveController control;
	public bool unlock;

	void Awake() {
		if (control == null) {
			DontDestroyOnLoad (gameObject);
			control = this;
		} else if (control != this) {
			Destroy (gameObject);
		}
	}

	public void Save() {
		string filename = Application.persistentDataPath + "/gameInfo.dat";
		BinaryFormatter bf = new BinaryFormatter ();
		FileStream file = File.Open (filename, FileMode.OpenOrCreate);

		GameData gd = new GameData ();
		gd.unlock = unlock;

		bf.Serialize (file, gd);
		file.Close ();
	}

	public void Load() {
		string filename = Application.persistentDataPath + "/gameInfo.dat";
		if (File.Exists (filename)) {
			BinaryFormatter bf = new BinaryFormatter ();
			FileStream file = File.Open (filename, FileMode.Open);
			GameData gd = (GameData)bf.Deserialize (file);
			file.Close ();

			unlock = gd.unlock;
		}
	}

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
