﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class StartMenuScript : MonoBehaviour {
	public int scene;
	public float volume;
	public Material playerMaterial, enemyMaterial;
	public Texture playerTexture, enemyTexture;
	public SaveController saver;
	public Button levelTwo;

	void Awake() {
		playerMaterial.SetTexture ("_MainTex", playerTexture);
		enemyMaterial.SetTexture ("_MainTex", enemyTexture);
	}

	// Use this for initialization
	void Start () {
		volume = PlayerPrefs.GetFloat ("Volume");
		AudioListener.volume = volume;
		saver = GameObject.FindGameObjectWithTag ("SaveController").GetComponent<SaveController> ();

	}
	
	// Update is called once per frame
	void Update () {
		if (saver.unlock) {
			levelTwo.interactable = true;
		}
	}

	public void Load() {
		SaveController.control.Load ();
	}

	public void Save() {
		SaveController.control.Save ();
	}

	public void StartForest() {
		scene = 2;
		StartCoroutine (ChangeLevel ());
	}

	public void StartDesert() {
		scene = 3;
		StartCoroutine (ChangeLevel ());
	}

	public void ExitGame() {
		Application.Quit ();
	}

	IEnumerator ChangeLevel() {
		FaderScript fader = GameObject.Find("Fader").GetComponent<FaderScript> ();
		fader.BeginFade (1);
		yield return new WaitForSeconds (5);
		SceneManager.LoadScene (scene);
	}
}
